Page MenuHomePhabricator

Add link: an image placeholder flickers when Yes button clicked
Closed, ResolvedPublic

Description

Found while testing T282030. The issue seems to be only in betalabs so far.

  1. Go to an article with Add link suggested edits.
  2. In the context item click on 'Yes' button - the placeholder image will flicker.

Note: The attached screen recording displays the flickering; I was not able to capture it with gifs and when .mov format gets converted (to be displayed in Phabricator) the flickering effect is lost.

Event Timeline

kostajh triaged this task as Medium priority.May 6 2021, 7:05 PM
kostajh lowered the priority of this task from Medium to Low.May 7 2021, 8:14 AM

When the acceptance state of the annotation changes, onContextChange event (on VE model) is fired. This causes the link preview to be re-rendered, so the image can flicker.

As of https://gerrit.wikimedia.org/r/c/mediawiki/extensions/GrowthExperiments/+/689104, RecommendedLinkToolbarDialog no longer listens to this event and relies on the annotation being clicked instead.

This change did cause a different issue, the annotation should be shown as selected when acceptance changes. I'll post a follow-up patch.

Change 689995 had a related patch set uploaded (by MewOphaswongse; author: MewOphaswongse):

[mediawiki/extensions/GrowthExperiments@master] Add a link: select annotation view when acceptance changes

https://gerrit.wikimedia.org/r/689995

Change 689898 had a related patch set uploaded (by Kosta Harlan; author: MewOphaswongse):

[mediawiki/extensions/GrowthExperiments@wmf/1.37.0-wmf.5] Add a link: select annotation view when acceptance changes on desktop

https://gerrit.wikimedia.org/r/689898

Change 689995 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] Add a link: select annotation view when acceptance changes on desktop

https://gerrit.wikimedia.org/r/689995

Change 689898 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@wmf/1.37.0-wmf.5] Add a link: select annotation view when acceptance changes on desktop

https://gerrit.wikimedia.org/r/689898

Mentioned in SAL (#wikimedia-operations) [2021-05-13T18:35:03Z] <urbanecm@deploy1002> Synchronized php-1.37.0-wmf.5/extensions/GrowthExperiments/: 0856ae1: ca52e78: GrowthExperiments backports (T282711, T282175) (duration: 01m 08s)

Checked on testwiki wmf.6 - the issue has been fixed.